load clock_model_export.mat;

G=ss(A,B,C,D,0.01);
G=G(1,:);
clf; hold on;

Se=getpsd(G,blkdiag(diag(Qd),R),2*pi*f,'ss');
plot(f,Se,'r');
Se=getpsd(G,blkdiag(diag(Qd),R),2*pi*f,'tf');
plot(f,Se,'b');
%Se=getpsd(G,blkdiag(diag(Qd),R),2*pi*f,'zpk');
%plot(f,Se,'bo');
Se=getpsd(G,blkdiag(diag(Qd),R),2*pi*f);
plot(f,Se,'g');

set(gca,'XScale','log','YScale','log','XLim',[f(1) f(end)]);
grid on;
legend('orig ss/freqresp','via tf(ss)','new ss/freqresp')
